--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "Press Numpad 0: Show Info");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Press Numpad 0: Hide Info");
		renderText(0.72, 0.75, 0.02, "- Fendt 939 Vario Info -");
		renderText(0.72, 0.73, 0.02, "Press Key 5: Worklight front On/Off");
		renderText(0.72, 0.71, 0.02, "Press Key 6: Worklight back On/Off");
		renderText(0.72, 0.69, 0.02, "Press Np 4: Twinwheels Front On/Off");
		renderText(0.72, 0.67, 0.02, "Press Np 5: Twinwheels Back On/off");
		renderText(0.72, 0.65, 0.02, "Press Np 1: Blinker Left");
		renderText(0.72, 0.63, 0.02, "Press Np 2: Warnblinker");
		renderText(0.72, 0.61, 0.02, "Press Np 3: Blinker Right");
		renderText(0.72, 0.59, 0.02, "Press Key U: 2WD/4WD");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




